# EXT: PHP Markdown / PHP Markdown Extra as content element


Extension Key: markdown_content  
Language: en  
Version: 1.1.0  
Keywords: content, Markdown, Markdown Extra  
Copyright 2012-2013, Michael Staatz, <mstaatz@me.com>  


This document is published under the Open Content License
available from http://www.opencontent.org/opl.shtml

The content of this document is related to TYPO3
- a GNU/GPL CMS/Framework available from www.typo3.org





# Introduction 
## What does it do?
PHP Markdown / PHP Markdown Extra as content element offers you the possibillity  
to enter your content in the Markdown / Markdown Extra Syntax. And you can choose  
to use an include file or enter your markdown content directly.

Behaviour and additional fields are the same as for the HTML content element.

Content is updated on:

* Every time you save your content element in the backend
* When you clear all cache
* When you clear page content cache
* When you clear cache for an single page





## Screenshots
Here you see some screens from my backend, TYPO3 CMS 6.0

![Backend with included file](http://staatzstreich.de/fileadmin/images/backend_1.png)

![Backend with markdown content](http://staatzstreich.de/fileadmin/images/backend_2.png)





# User Manual
For a documantaion about adding content elements please refer to the TYPO3 CMS documentation.  

For an overview about markdown syntax take a look at [Markdown Syntax](http://daringfireball.net/projects/markdown/syntax "Titel")  
or [PHP Markdown] [2].





# Administration
Nothing special here...





# Configuration
Do not forget to include the extensions TypoScript to your template.

![TypoScript settings](http://staatzstreich.de/fileadmin/images/backend_3.png)


or you include this little pice of TypoScript

    tt_content.markdown_content_pi1 < tt_content.html


To change the look on a page where you use the markdown content element you can
change the look with one of the included css files:

    page.includeCSS {
        markdown1 = EXT:markdown_content/res/github.work.css
    }


# To-Do list
Future plan is DropBox Snyc. But, maybe, this would become an second extension.






# Copyrights

## Marked.App

CSS Files in markdown_content/res folder are from [Marked.App] [1] and you have to respect their copyrights.  
See [Marked.App] [1] for more Information.

## PHP Markdown / PHP Markdown Extra
Using Version 1.0.10 of [PHP Markdown] [2] and 1.2.5 of [PHP Markdown Extra] [2] in this Extension.
For more information see their Website at [PHP Markdown] [2].


[1]: http://support.markedapp.com/kb/how-to-tips-and-tricks/writing-custom-css-for-marked "Marked.App"
[2]: http://michelf.ca/projects/php-markdown/ "PHP Markdown"